Package net.md_5.bungee.api.event

# Enum ServerConnectEvent.Reason

java.lang.Object
java.lang.Enum<ServerConnectEvent.Reason>
net.md_5.bungee.api.event.ServerConnectEvent.Reason

All Implemented Interfaces:
  `Serializable`, `Comparable<ServerConnectEvent.Reason>`

Enclosing class:
  ServerConnectEvent

public static enum ServerConnectEvent.Reason extends Enum<ServerConnectEvent.Reason>

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMMAND`
  Execution of a command
  `JOIN_PROXY`
  Initial proxy connect.
  `KICK_REDIRECT`
  Redirecting to another server when kicked from original server.
  `LOBBY_FALLBACK`
  Redirection to lobby server due to being unable to connect to original server
  `PLUGIN`
  Plugin initiated connect.
  `PLUGIN_MESSAGE`
  Plugin message request.
  `SERVER_DOWN_REDIRECT`
  Redirecting to another server when client loses connection to server due to an exception.
  `UNKNOWN`
  Unknown cause.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ServerConnectEvent.Reason`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ServerConnectEvent.Reason[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LOBBY_FALLBACK

    public static final ServerConnectEvent.Reason LOBBY_FALLBACK
    Redirection to lobby server due to being unable to connect to original server

  - ### COMMAND

    public static final ServerConnectEvent.Reason COMMAND
    Execution of a command

  - ### SERVER_DOWN_REDIRECT

    public static final ServerConnectEvent.Reason SERVER_DOWN_REDIRECT
    Redirecting to another server when client loses connection to server due to an exception.

  - ### KICK_REDIRECT

    public static final ServerConnectEvent.Reason KICK_REDIRECT
    Redirecting to another server when kicked from original server.

  - ### PLUGIN_MESSAGE

    public static final ServerConnectEvent.Reason PLUGIN_MESSAGE
    Plugin message request.

  - ### JOIN_PROXY

    public static final ServerConnectEvent.Reason JOIN_PROXY
    Initial proxy connect.

  - ### PLUGIN

    public static final ServerConnectEvent.Reason PLUGIN
    Plugin initiated connect.

  - ### UNKNOWN

    public static final ServerConnectEvent.Reason UNKNOWN
    Unknown cause.

- ## Method Details

  - ### values

    public static ServerConnectEvent.Reason[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ServerConnectEvent.Reason valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null